### Method

# GdkX11 X11Display set_cursor_theme

#### Declaration [src]

    void
    gdk_x11_display_set_cursor_theme (
      GdkDisplay* display,
      const char* theme,
      const int size
    )

#### Description [src]

Sets the cursor theme from which the images for cursor should be taken.

If the windowing system supports it, existing cursors created with gdk_cursor_new_from_name() are updated to reflect the theme change. Custom cursors constructed with gdk_cursor_new_from_texture() will have to be handled by the application (GTK applications can learn about cursor theme changes by listening for change notification for the corresponding `GtkSetting`).

#### Parameters

`theme` | `const char*`
| The name of the cursor theme to use, or `NULL` to unset a previously set value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`size` | `const int`
| The cursor size to use, or 0 to keep the previous size.